Subject: Re: [linux-next][s390] Boot hang after merge c50f05bd3c4e (sched/hrtick)

From: Peter Zijlstra <[email-masked]>
Date: Fri, 6 Mar 2026 09:41:38 +0100

On Thu, Mar 05, 2026 at 08:48:21PM +0100, Heiko Carstens wrote:

> Mikhail, which commit did you revert? The above discussion is about commit
> d8b5cf9c6314 ("s390/irq/idle: Remove psw bits early"), which is not
> explicitly mentioned.
> 
> But it is indeed broken: irqentry_exit() has a regs_irqs_disabled() check,
> which I broke with this commit - but "only" for idle exit.
> Result: no hrtimer_rearm_deferred() being called on idle exit.
> 
> Oh well. Peter, thanks for pointing to this broken commit. Will be reverted.

No problem; digging through unknown arch code is what keeps you sharp
;-)